Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.dss._1_0.core.schema
Class InlineXMLType

    java.lang.Object
      oasis.names.tc.dss._1_0.core.schema.InlineXMLType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T08:53:06+02:00",
               comments="JAXB RI v2.2.11")
    public class InlineXMLType

extends Object
implements Serializable

Java class for InlineXMLType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InlineXMLType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <any processContents='lax'/>
           </sequence>
           <attribute name="ignorePIs" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="ignoreComments" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InlineXMLType()`

Method Summary
`Element` | `getAny()` Gets the value of the any property.
`boolean` | `isIgnoreComments()` Gets the value of the ignoreComments property.
`boolean` | `isIgnorePIs()` Gets the value of the ignorePIs property.
`void` | `setAny(Element value)` Sets the value of the any property.
`void` | `setIgnoreComments(Boolean value)` Sets the value of the ignoreComments property.
`void` | `setIgnorePIs(Boolean value)` Sets the value of the ignorePIs property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineXMLType

    public InlineXMLType()

Method Detail

### getAny

    public Element getAny()

  Gets the value of the any property.

  Returns:
    possible object is `Element`

### setAny

    public void setAny(Element value)

  Sets the value of the any property.

  Parameters:
    `value` - allowed object is `Element`

### isIgnorePIs

    public boolean isIgnorePIs()

  Gets the value of the ignorePIs property.

  Returns:
    possible object is `Boolean`

### setIgnorePIs

    public void setIgnorePIs(Boolean value)

  Sets the value of the ignorePIs property.

  Parameters:
    `value` - allowed object is `Boolean`

### isIgnoreComments

    public boolean isIgnoreComments()

  Gets the value of the ignoreComments property.

  Returns:
    possible object is `Boolean`

### setIgnoreComments

    public void setIgnoreComments(Boolean value)

  Sets the value of the ignoreComments property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.